package com.xinelu.manage.service.tasktypedict;

import com.xinelu.manage.domain.tasktypedict.TaskTypeDict;

import java.util.List;

/**
 * 任务类型字典Service接口
 *
 * @author xinelu
 * @date 2024-03-11
 */
public interface ITaskTypeDictService {
    /**
     * 查询任务类型字典
     *
     * @param id 任务类型字典主键
     * @return 任务类型字典
     */
    TaskTypeDict selectTaskTypeDictById(Long id);

    /**
     * 查询任务类型字典列表
     *
     * @param taskTypeDict 任务类型字典
     * @return 任务类型字典集合
     */
    List<TaskTypeDict> selectTaskTypeDictList(TaskTypeDict taskTypeDict);

    /**
     * 新增任务类型字典
     *
     * @param taskTypeDict 任务类型字典
     * @return 结果
     */
    int insertTaskTypeDict(TaskTypeDict taskTypeDict);

    /**
     * 修改任务类型字典
     *
     * @param taskTypeDict 任务类型字典
     * @return 结果
     */
    int updateTaskTypeDict(TaskTypeDict taskTypeDict);

    /**
     * 批量删除任务类型字典
     *
     * @param ids 需要删除的任务类型字典主键集合
     * @return 结果
     */
    int deleteTaskTypeDictByIds(Long[] ids);

    /**
     * 删除任务类型字典信息
     *
     * @param id 任务类型字典主键
     * @return 结果
     */
    int deleteTaskTypeDictById(Long id);
}
